/*  $Id: window_generic.cpp,v 1.24 2003/09/18 17:53:29 mbn Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
**
*/

#include "precomp.h"
#include "window_generic.h"
#include "API/Core/XML/dom_element.h"

/////////////////////////////////////////////////////////////////////////////
// Construction:

CL_Window_Generic::CL_Window_Generic(
	CL_Window *window,
	const std::string &title)
: title(title), window(window)
{
	CL_Component *client_area = new CL_Component(window);
	window->set_client_area(client_area);
	
	slot_set_options = window->sig_set_options().connect(this, &CL_Window_Generic::on_set_options);
}

CL_Window_Generic::~CL_Window_Generic()
{
	delete window->get_client_area();
}

/////////////////////////////////////////////////////////////////////////////
// Callbacks:

void CL_Window_Generic::on_set_options(const CL_DomElement &options)
{
	if (options.has_attribute("title"))
		title = options.get_attribute("title");
}
